## org.codehaus.groovy.grails.web.json
Class JSONException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.web.json.JSONException

All Implemented Interfaces:
  Serializable

    public class JSONException

extends RuntimeException

The JSONException is thrown by the JSON.org classes then things are amiss.

Version:
  2
Author:
  JSON.org
See Also:
  Serialized Form

Constructor Summary
`JSONException(String message)` Constructs a JSONException with an explanatory message.
`JSONException(Throwable t)`

Method Summary
`Throwable` `getCause()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSONException

    public JSONException(String message)

  Constructs a JSONException with an explanatory message.

  Parameters:
    `message` - Detail about the reason for the exception.

### JSONException

    public JSONException(Throwable t)

Method Detail

### getCause

    public Throwable getCause()

  Overrides:
    `getCause` in class `Throwable`

Copyright (c) 2005-2009 The Grails project